.recipes-wrapper {
    align-content: flex-start;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    padding: 15px;

    .recipe-tile {
        flex-shrink: 1;
        flex-basis: auto;
        flex: 30%;
        margin: 1em;
        max-width: 480px;
        min-width: 328px;
        overflow: hidden;
        padding: 0;
        transition:
            transform  ease .2s,
            background-color ease .2s;

        .recipe-tile_image-wrapper {
            height: 148px;
            overflow: hidden;
            
            .recipe-tile_image {
                height: 100%;
                margin: 0;
                object-fit: cover;
                transition: transform  ease-in-out .4s;
            }
        }
        
        .recipe-tile_content-wrapper {
            padding: 15px;
            
            .recipe-tile_header {
                display: flex;
                justify-content: space-between;
                
                .mat-card-header-text {
                    overflow: hidden;
                }
                
                .recipe-tile_header_title {
                    text-overflow: ellipsis;
                    overflow: hidden;
                    white-space: nowrap;
                }
                
                .recipe-tile_header_price {
                    display: flex;
                    justify-content: flex-end;
                    min-width: 32pt;
                }
            }
            
            .recipe-tile_bottom {
                align-items: center;
                display: flex;
                justify-content: space-between;
                
                .recipe-tile_bottom_duration {
                    margin: 0;
                }
            }
        }
    }
    
    .recipe-tile:hover {
        transform: scale(1.05);
        
        .recipe-tile_image {
            transform: scale(1.15);
        }
    }
    
    .recipe-tile_add {
        align-items: center;
        cursor: pointer;
        display: flex;
        justify-content: center;
        background: #fafafa;
        min-height: 80px;

        .recipe-tile_add_icon {
            font-size: 42pt;
            height: auto;
            transition:
            transform ease-in-out 0.45s,
            font-size ease-in-out 0.45s;
            width: auto;
        }
    }

    .recipe-tile_add:hover {
        background: #fff;

        .recipe-tile_add_icon {
            font-size: 56pt;
            transform: rotateZ(180deg);
        }
    }
}